Subject: bug#68446: closed (Re: bug#68446: 29.1.90; Bidi right-to-left paragraphs missing text in Org mode)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 04 Feb 2024 13:44:02 +0000

Your bug report

#68446: 29.1.90; Bidi right-to-left paragraphs missing text in Org mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68446: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68446
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#68446: 29.1.90; Bidi right-to-left paragraphs missing text in Org mode
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 04 Feb 2024 15:43:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 04 Feb 2024 13:10:14 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Should be fixed now on the master branch.
> 
> I confirm that I can no longer reproduce the problem following the
> original steps and my reproducer.

Thanks, I'm therefore closing this bug.  We can reopen if someone
reports some issues or left-overs.

Subject: 29.1.90; Bidi right-to-left paragraphs missing text in Org mode
From: Thamer Mahmoud <[email-masked]>
To: [email-masked]
Date: Sun, 14 Jan 2024 13:21:57 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

1. In emacs -Q, create an empty buffer with Org mode active and type:

a [[link]]

2. Evaluate: (setq bidi-paragraph-direction 'right-to-left)
3. Note the "a" and link are no longer visible.

In GNU Emacs 29.1.90 (build 1, x86_64-pc-linux-gnu, GTK+ Version
  3.24.39, cairo version 1.18.0)
Repository branch: emacs-29
Windowing system distributor 'The X.Org Foundation', version 11.0.12101009
System Description: Debian GNU/Linux trixie/sid

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG
LIBSELINUX LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG
SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER WEBP
X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB

-- 
Regards,
Thamer